Subject: Re: program that doesn't require cygwin1.dll
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Nemeth Marton <[email-masked]>, Michael Hoffman <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Aug 2002 21:09:02 -0400

At 03:39 PM 8/21/2002, Nemeth Marton wrote:

>On Fri, 9 Aug 2002, Michael Hoffman wrote:
>
> > On Fri, 9 Aug 2002, Nemeth Marton wrote:
> >
> > > I read in the FAQ (http://cygwin.com/faq/faq_4.html#SEC95) that $SUBJECT
> > > is not possible.
> > >
> > > But what about the Hello World! program with:
> > > gcc -mno-cygwin hello.c
> >
> > Please read the previous FAQ entry, <http://cygwin.com/faq/faq_4.html#SEC94>.
>
>OK, you are right.
>
>I suggest to change the title of this question from
>Can I build a Cygwin program that does not require cygwin1.dll at runtime?
>to
>Can I use Cygwin API statically linked?
>or to
>Can I use Cygwin API statically linked (so it does not require
>cygwin1.dll at runtime)?

And I'll change the FAQ entry for you to read:

http://cygwin.com/faq/faq_4.html#SEC95
Can I build a Cygwin program that does not require cygwin1.dll at runtime?

I think that covers it, right?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/